Set partner invoice payment details (card payment)
Configure the details of the payment method that will be used to pay for a partner invoice. Supported payment methods:
PayPal
Credit/debit cards
Works in conjunction with setProforma and is a prerequisite for payProforma.
Call setProforma, then setPaymentDetails and payProforma in this specific order to pay for a partner invoice.
Requirements
This method requires that a specific partner be set using setPartner and that a partner invoice be marked for payment using setProforma.
Request parameters
sessionID
Required (string)
Session identifier, output of the Login method. An exception is thrown if the values are incorrect.
paymentDetails
Object
Payment details object with the structure detailed below.
paymentDetails.Type
String
Possible values:
PAYPAL
CC
WIRE
CHECK
paymentDetails.Currency
String
Partner currency ISO code - ISO 4217. This currency governs transactions between you and your partner and is set on the Commercial Settings page, under Payment Information. Must match the currency of the partner invoice; an exception is thrown. If NULL, the system uses the partner invoice currency.
paymentDetails.PaymentMethod
Object
Structure below.
paymentDetails.PaymentMethod.CardNumber
String
Credit/debit card number
paymentDetails.PaymentMethod.CardType
String
Credit/debit card type:
VISA
VISAELECTRON
MASTERCARD
MAESTRO
AMEX
paymentDetails.PaymentMethod.CCID
String
CVC2/CVV2 card identification number.
paymentDetails.PaymentMethod.ExpirationMonth
String
A valid expiration month must be used, otherwise an exception is thrown. Example: 06 for June.
paymentDetails.PaymentMethod.ExpirationYear
String
A valid expiration year must be used, otherwise an exception is thrown.
paymentDetails.PaymentMethod.HolderName
String
Card holder name
paymentDetails.CustomerIP
String
Partner IP address, needed for security validation.
Request sample
Response parameters
Result
Boolean
True or false.
Errors
INVALID_PARTNER
No partner is set.
INVALID_PROFORMA
No partner invoice set.
PAYMENT_ERROR
Your currency is not supported. You can only pay in:
PAYMENT_ERROR
You did not set your PaymentMethod property.
PAYMENT_ERROR
Your PaymentMethod property ['.$_prop.'] is not defined.
PAYMENT_ERROR
Your payment type is not supported. We only accept PAYPAL and CC.
PAYMENT_ERROR
We cannot detect the business model
PAYMENT_ERROR
There are no payment methods for this currency
PAYMENT_ERROR
Your payment method is not supported
PAYMENT_ERROR
Invalid credit card
Last updated
Was this helpful?